-- FlexSpec - Removes 4 class, 3 talent, and category limitations. Respects limitations imposed by talents which "change the game world in some permanent way."
-- tome-FlexSpec/init.lua

long_name = "FlexSpec Respec Limitation Relaxer"
short_name = "FlexSpec" -- Determines the name of your addons file.
for_module = "tome"
version = {1,5,5}
addon_version = {0,0,4}
weight = 100 -- lower the value, sooner the addon will load relative to other addons.
author = {'AbbottWC@Gmail.com'}
homepage = {'http://www.stackoverflow.com'}
description = [[Relaxes respec limitations.
You CAN
	Recycle points from most talents anywhere at any time.
	Recycle points from categories anywhere at any time.
	Recycle points from attribute points anywhere at any time ( from the minimum of 1, to the maximum permitted ).
	Master a talent category multiple times.
You CANNOT
	Recycle points from talents which "Change the world".
Limitations - 
	I'm not a programmer. I only pretend to be one so I can pay my bills.
	I also don't know LUA. What I've done is to just change the source code
	to provide the described behavior. As such, expect bugs. Expect problems.
	One in particular - If you close the "Level Up" screen, then re-open it,
	the game WILL allow you to recycle categories with active talents.
	However, if you activate a category, then a talent, and try to de-activate
	the category before closing the level up screen, you will see the appropriate
	dialog message indicating that you CAN'T DO THAT. I'm not sure why that is.]]
tags = {'talents', 'categories', 'stats', 'respec'}

overload = false
superload = true
data = false
hooks = false